<?php
define('FILENAME', 'stored.dat');

class Value {
  var $id;
  var $email;
  var $flag;

  public function __construct($id, $email, $flag) {
    $this->id = $id;
    $this->email = $email;
    $this->flag = $flag;
  }

  public function echo_data() {
    echo "{$this->id}:{$this->email}:{$this->flag}";
  }
}

// シリアライズする
$value = new Value(123, 'test@example.com', 'Y');
$serialized = serialize($value);

// 保存する
$fp = fopen(FILENAME, 'w');
fwrite($fp, $serialized);
fclose($fp);

// ファイルから取得して
$stored = implode('', @file(FILENAME));

// シリアライズを元に戻す
$restored_value = unserialize($stored);
$restored_value->echo_data();
?>
