#!/usr/bin/python
import pytc

hdb = pytc.HDB()
try:
  hdb.tune(131071, 4, 10, 0)
  hdb.open('casket.hdb', pytc.HDBOWRITER |
                         pytc.HDBOCREAT |
                         pytc.HDBOTRUNC)

  hdb['gunyara'] = 'human being'
  hdb['kiki'] = 'cat'
  hdb['moru'] = 'guinea pig'
  hdb['hamuwo'] = 'hamster'

  print hdb['kiki']

  hdb.out('gunyara')

  for (key, value) in hdb.iteritems():
    print '%s:%s' % (key, value)

  print '%s (%d records, %d bytes)' % (
    hdb.path(), hdb.rnum(), hdb.fsiz())

  hdb.close()

  hdb = pytc.HDB()
  hdb.open('casket.hdb', pytc.HDBOWRITER |
                         pytc.HDBOCREAT |
                         pytc.HDBOTRUNC)
  hdb['kiki'] = 'nya-'
  try:
    hdb.putkeep('kiki', 'wanwan')
  except:
    pass
  hdb.putkeep('cameraski', 'human being')
  print hdb['kiki']
  print hdb['cameraski']

  hdb.putcat('kiki', 'nyan')
  print hdb['kiki']

  for i in xrange(0, 1000):
    hdb.putasync('key%d' % i, 'value%d' % i)
  hdb.sync()

  print hdb['key0']
  print hdb['key999']

  hdb.optimize(131071, 4, 10, 0)
  print 'record number: %d' % hdb.rnum()
  hdb.vanish()
  print 'record number: %d' % hdb.rnum()

  for i in xrange(0, 8):
    hdb.addint('counter_int', 1)

  for i in xrange(0, 8):
    hdb.adddouble('counter_double', 3.14)
except pytc.Error, (ecode, errmsg):
  print errmsg
finally:
  hdb.close
